Debian Bug report logs - #709628
ITP: libscout-clojure -- A library for clojure to parse strings

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>

Date: Fri, 24 May 2013 14:57:01 UTC

Owned by: "Eugenio Cano-Manuel Mendoza" <eugeniocanom@gmail.com>

Severity: wishlist

Fixed in version scout-clojure/0.1.0-1

Done: Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Eugenio Cano-Manuel Mendoza" <eugeniocanom@gmail.com>:
Bug#709628; Package wnpp. (Fri, 24 May 2013 14:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Eugenio Cano-Manuel Mendoza" <eugeniocanom@gmail.com>. (Fri, 24 May 2013 14:57:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libscout-clojure -- A library for clojure to parse strings
Date: Fri, 24 May 2013 16:53:43 +0200
Package: wnpp
Severity: wishlist
Owner: "Eugenio Cano-Manuel Mendoza" <eugeniocanom@gmail.com>

* Package name    : libscout-clojure
  Version         : 0.1.0
  Upstream Author : David Santiago <david.santiago@gmail.com>
* URL             : https://github.com/davidsantiago/scout
* License         : EPL-1.0
  Programming Lang: Clojure, Java
  Description     : A library for clojure to parse strings

Scout can be used to process text without having to fully parse it,
either because the text format made that difficult, or it would have
been overkill for that particular task. For example, it is used for
parsing the mustache templates in the Stencil library.

The key object in Scout is a Scanner object, which is an immutable
object associated with the string it is scanning and a position within
that string. There are two ways to make a Scanner: either create a new
one using the scanner function, or use a Scout function to create a new
Scanner as the result of a search from a previous Scanner. If a Scanner
is created as the result of a successful search, it will contain a third
piece of data, an object with information about the parts of the string
it matched and any regular expression groups that were assigned as part
of the match. Since Scanners are immutable, you can easily start any
number of searches from a given Scanner and refer back to Scanner
objects from earlier in the parsing process.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 23 Jun 2013 20:06:09 GMT) Full text and rfc822 format available.

Reply sent to Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>:
You have taken responsibility. (Thu, 08 Aug 2013 23:03:58 GMT) Full text and rfc822 format available.

Notification sent to Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>:
Bug acknowledged by developer. (Thu, 08 Aug 2013 23:03:58 GMT) Full text and rfc822 format available.

Message #12 received at 709628-close@bugs.debian.org (full text, mbox):

From: Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>
To: 709628-close@bugs.debian.org
Subject: Bug#709628: fixed in scout-clojure 0.1.0-1
Date: Thu, 08 Aug 2013 23:00:08 +0000
Source: scout-clojure
Source-Version: 0.1.0-1

We believe that the bug you reported is fixed in the latest version of
scout-clojure, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 709628@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com> (supplier of updated scout-clojure package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 29 Apr 2013 18:20:53 +0200
Source: scout-clojure
Binary: libscout-clojure
Architecture: source all
Version: 0.1.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Changed-By: Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>
Description: 
 libscout-clojure - Clojure library to parse strings
Closes: 709628
Changes: 
 scout-clojure (0.1.0-1) unstable; urgency=low
 .
   * Initial release. (Closes: #709628)
Checksums-Sha1: 
 016a47ed363615e888a5fce42d50e35db1614bba 2056 scout-clojure_0.1.0-1.dsc
 9bdca7e35e936ec8e41189c75017ba324a76b580 4834 scout-clojure_0.1.0.orig.tar.gz
 5462e9d39b09fcd77de13f02a52073587440ddff 6422 scout-clojure_0.1.0-1.debian.tar.gz
 7bc9c4ae8c761c62bce7fa0d4cba4710cdd94681 10800 libscout-clojure_0.1.0-1_all.deb
Checksums-Sha256: 
 66caf9181b9764cb5f56681f3dae8ebee591fc97f788415b555a8ef083d14758 2056 scout-clojure_0.1.0-1.dsc
 33a3b4ac172d46ce639552d8cc2bfbd2cd0f00b3ff448b6511e6bbfe55277c2b 4834 scout-clojure_0.1.0.orig.tar.gz
 ba8370a3a2e163027cb42750755b7ee6f0a624039b4bce97bab105cfc22058d9 6422 scout-clojure_0.1.0-1.debian.tar.gz
 022bc3fd091253696b8ccf315f21413ccdce1336acb4a3f5bf54fc7e641e87d0 10800 libscout-clojure_0.1.0-1_all.deb
Files: 
 4a8d578b2165e365cd326d8df1339d4d 2056 java optional scout-clojure_0.1.0-1.dsc
 7875a1a8e9515c5850bd9b8dd8c4e838 4834 java optional scout-clojure_0.1.0.orig.tar.gz
 12561c2f2054fc5ade74877ceac3b69c 6422 java optional scout-clojure_0.1.0-1.debian.tar.gz
 548852bda434ffa8c7993882deb609e8 10800 java optional libscout-clojure_0.1.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRxxWrAAoJEHtYWzCAfCqHzJsP/AxW36BMnHZm4J4pBAxVj/Ue
OFbmt8LsMmeHN1ku1QQoGch+rj04vAKM02i0UYoZMZ1CDaGv2Af9A/AYDX/Xbf69
0MkOUBKqqf4teZVomaOWoyrxZM+sFOoKPYvN69InUWhqIcmfNfiJLGWlv4Qxylea
UNfTJMBVPZpVvAunuLs8GRkooccXx+aNg+qn93XPnCcLhPYFftaC1q2GLuEWPChO
J9yso3MnzZ46C6y3EZ/XzZgdKAveoha03KfjYRPoi5PfvhxiJLGHZeE0jpW9M2ZU
V54a4reOCBdI2FmaxJ3VLpU9Lz6jgkRWc3xgqbmsSyG76qpSAVGiRyyh7ajHB/e9
8BI0qreD7hKopngYACw3JwVTGSiAOy9cDqccCjWzPWuTIW4Sf5gWvqWwb37yR0/T
FRxvmJ+sbgD9ZhsgSg0wPPNF6mrWYD+iAZ7Sv9d/Y83ox5Ri7O9LLbsWLkiJnDX1
ZsXDO6eNZWZdEsN1fQ5tGAYHiw8dCTTwSJYZzD2ZGY/XIbXeekLvNcIXhQrB5o5D
IAiY2GhJmNNYZZ+RAxCbGN982nwk4SfiyHhVTtJfFTbTkxXr36imh60dl5GMVOFO
ClPI5Ax1smGqu9S391frunu19Eoi2KlvQJQ0n9qfcNlRd68OkS4rGM1Klegk4Ygr
zTw3wAkCYgl45c1pbRVk
=OpXn
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Sep 2013 07:28:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:41:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.